/* CSS Document */
@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,400,600&display=swap');

:root{
    --primary-background-color: #e5e5e5;
    --primary-element-color: #f0f0f3;
    --primary-text-color: #333333;
    --primary-border: 1px solid rgba(225,224,223, .7);
    --primary-drop-shadow: -6px -6px 15px 0px rgba(255,255,255,1), 6px 6px 15px 0px rgba(174,174,174,.6);

    --secondary-text-color: #666666;
    --secondary-border: 1px solid rgba(102,102,102, .7);

    --tertiary-text-color: #e5e5e5;

    --accent-color-light: #3c99d6;
    --accent-color: #1c6fa6;
    --accent-color-dark: #0a5180;

    --accent-border-light: 2px solid rgba(28,111,166, .7);
    --accent-border: 2px solid rgba(10,81,128, .7);
}

html{
    height: 100%;
    min-height: 100%;
}

body{
    height: 100%;
    min-height: 100%;
    margin: 0px;
    padding: 0px;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    background-color: var(--primary-background-color);
    color: var(--primary-text-color);

    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: 400;
}

header, footer{
    width: calc(100% - 96px);
    height: 50px;
    margin: 48px auto;
    padding: 0px 12px;

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;

    background-color: var(--primary-element-color);
    border: var(--primary-border);
    box-shadow: var(--primary-drop-shadow);
    border-radius: 12px;

    font-size: 16px;
    line-height: 50px;
    text-align: left;
    color: var(--secondary-text-color);

    box-sizing: border-box;
}

header{
    margin-bottom: 24px;
}

footer{
    margin-top: 24px;
}

footer>div, footer>nav{
    width: 30%;

    font-weight: 300;
}

footer>div.copyright{
    font-size: 10px;
    text-align: center;
}

footer>div.date{
    text-align: right;
}

nav>ul{
    height: 50px;
    margin: 0px;
    padding: 0px;

    display: block;
}

nav>ul>li{
    width: 50px;
    height: 50px;
    margin: 0px;
    padding: 0px 6px 0px 0px;

    display: inline-block;

    background-size: 28px;
    background-position: center 4px;
    background-repeat: no-repeat;

    opacity: .7;
    transition: .25s ease;
}

li.home{background-image: url('/assets/home.svg');}
li.logout{background-image: url('/assets/logout.svg');}

li:hover{
    opacity: 1;
    transition: .25s ease;
}

nav>ul>li>a{
    width: 50px;
    height: 20px;
    margin: 0px;
    padding: 30px 0px 0px 0px;

    display: block;

    text-decoration: none;
    color: var(--primary-text-color);
}

a>span{
    height: 20px;
    display: block;

    font-size: 10px;
    font-weight: 400;
    text-align: center;

    line-height: 20px;
    text-transform: uppercase;
}

header>h1{
    width: 33%;
    margin: 0px;
    padding: 0px;

    display: block;

    font-size: 20px;
    font-weight: 600;
    line-height: 50px;
}

main{
    width: 100%;
    height: auto;
    min-height: calc(100% - 122px);

    margin: 0px auto;
    padding: 24px 72px;

    box-sizing: border-box;
}

main>div.login, main>div.add{
    width: 400px;
    height: auto;
    margin: 0px auto;
    margin-top: calc(50vh - 200px);
    padding: 0px;

    background-color: var(--primary-element-color);
    border-radius: 6px;

    box-shadow: var(--primary-drop-shadow);
}

main>div.add{
    width: 800px;
    margin-top: calc(50vh - 400px);
}

div.login>h2, div.add>h2{
    width: 100%;
    height: 48px;
    margin: 0px;
    padding: 0px;

    display: block;
    box-sizing: border-box;

    background-color: var(--accent-color-light);
    border: var(--accent-border-light);
    border-width: 1px;
    border-radius: 6px 6px 0px 0px;

    text-align: center;
    line-height: 48px;
    color: var(--tertiary-text-color);

}

div.login>form, div.add>form{
    width: 100%;
    padding: 24px;

    border: var(--primary-border);

    box-sizing: border-box;
}

label{
    width: 100%;
    height: auto;
    margin: 0px 0px 12px 0px;
    padding: 3px 6px;
    display: block;
    box-sizing: border-box;

    background-color: transparent;
    border: var(--secondary-border);
    border-width: 2px;
    border-radius: 6px;

    font-size: 11px;
    font-weight: 400;
    color: #888888;
    line-height: 18px;

    cursor: text;
    transition: .25s ease;
}

label:hover {
    border-color: var(--accent-color-light);
    color: var(--accent-color-light);
    transition: .25s ease;
}

label:focus-within {
    border-color: var(--accent-color);
    color: var(--accent-color);
    transition: .25s ease;
}

&.required::before {
    content: "(Required)";

    display: block;
    float: right;

    font-size: 10px;
    line-height: 15px;

    color: var(--accent-color);
}

input{
    width: auto;
    height: 30px;
    margin: 0px auto 12px auto;
    padding: 0px 12px;
    box-sizing: border-box;

    background-color: transparent;
    border-radius: 6px;

    outline: none;
}

input[type=text], input[type=password], input[type=date], input[type=number], input[type=search], input[type=email], input[type=tel]{
    width: 100%;
    height: 20px;
    margin: 3px 0px 0px 0px;
    padding: 0px;

    color: var(--primary-text-color);
    border: none;

    font-size: 16px;
    font-weight: 600;
    text-align: left;
}

input[type=submit] {
    width: 100%;
    height: 32px;
    margin: 0px;
    padding: 0px 12px;
    box-sizing: border-box;

    background-color: var(--accent-color-light);
    color: var(--tertiary-text-color);
    border: var(--accent-border-light);
    border-radius: 6px;

    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    line-height: 30px;

    cursor: pointer;
}

input[type=submit]:hover{
    background-color: var(--accent-color);
    border: var(--accent-border);
}

textarea {
    width: 100%;
    height: auto;
    min-height: 300px;
    margin: 3px 0px 3px 0px;
    padding: 0px;
    box-sizing: border-box;

    background-color: transparent;
    border-radius: 6px;

    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: 400;
    text-align: left;
    line-height: 24px;
    color: var(--primary-text-color);

    border: none;
    outline: none;
    resize: none;
    field-sizing: content;
}

table{
    width: 100%;
    height: auto;
    margin: 12px 0px;
    padding: 0px 0px 12px 0px;

    background-color: var(--primary-element-color);
    border: var(--primary-border);
    border-radius: 6px;

    box-shadow: var(--primary-drop-shadow);
}

table>thead, table>tbody{
    width: 100%;

}

table>thead>tr{
    width: 100%;

    background-color: var(--accent-color);
    color: var(--tertiary-text-color);
}

table.six>thead>tr>th, table.six>tbody>tr>td{
    min-width: calc(100% / 6);
}

table.seventeen>thead>tr>th, table.six>tbody>tr>td{
    min-width: calc(100% / 17);
}

tr>th, tr>td{
    height: 40px;

    line-height: 40px;
    text-align: center;
    border-top: none;
    border-bottom: none;
    box-sizing: border-box;
}

thead>tr>th:nth-of-type(even){
    background-color: #2b8ccc
}

tbody>tr:nth-child(odd)>td:nth-of-type(even){
    background-color: #e5e5e5;
}

tbody>tr:nth-child(even)>td:nth-of-type(even){
    background-color: #d5d5d5;
}

tbody>tr:nth-child(even) {
    background-color: #e5e5e5;
}

th:first-of-type{
    border-radius: 6px 0px 0px 0px;
}

th:last-of-type{
    border-radius: 0px 6px 0px 0px;
}

section{
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;

    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
}

section>article{
    width: 350px;
    height: 500px;
    margin: 0px 48px;
    margin-top: calc(50vh - 400px);
    padding: 0px;

    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;

    border-radius: 6px;

    box-shadow: var(--primary-drop-shadow);
}

article>header{
    width: 100%;
    height: 80px;
    margin: 0px;
    padding: 0px;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;

    background-color: var(--accent-color);
    border: var(--accent-border);
    border-radius: 6px 6px 0px 0px;

    color: var(--tertiary-text-color);
}

article>header>h2{
    width: 100%;
    height: 40px;
    margin: 0px;
    padding: 0px;

    display: block;

    font-size: 22px;
    font-weight: 600;
    text-align: center;
    line-height: 55px;
    text-transform: uppercase;
}

article>header>span{
    width: 100%;
    height: 20px;
    margin: 0px;
    padding: 0px;

    display: block;

    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    text-align: center;
    text-transform: uppercase;
}

article>a, article>div{
    width: 100%;
    margin: 0px;
    padding: 300px 24px 0px 24px;

    display: block;

    flex-grow: 2;

    background-size: 100px;
    background-position: center 100px;
    background-repeat: no-repeat;

    border: var(--primary-border);
    border-top: none;
    border-bottom: none;

    font-size: 16px;
    text-decoration: none;
    color: var(--primary-text-color);

    opacity: .7;
    box-sizing: border-box;
    transition: .25s ease;
}

article>a:hover{
    opacity: 1;
    transition: .25s ease;
}

article>a.add{background-image: url("/assets/group_add.svg")}
article>a.players{background-image: url("/assets/sports_basketball.svg")}
article>a.games{background-image: url("/assets/table.svg")}
article>a.year{background-image: url("/assets/stats.svg")}

article>footer{
    width: 100%;
    height: 10px;
    margin: 0px;
    padding: 0px;

    background-color: var(--accent-color);
    border: var(--accent-border);
    border-radius: 0px 0px 6px 6px;
}

::-webkit-scrollbar {
    width: 6px;
    background: transparent;
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: rgba(155, 155, 155, 0.5);
    border-radius: 20px;
    border: transparent;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active{
    -webkit-box-shadow: 0 0 0 30px var(--secondary-text-color) inset !important;
    box-shadow: 0 0 0 30px var(--secondary-text-color) inset !important;
}